/*
 * The MIT License
 *
 * Copyright 2011 Wyverald.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package melodia.player;

import melodia.player.gui.SongButton;
import java.io.*;

/**
 *
 * @author Wyverald
 */
public class Song {
  private SongButton button;
  private SongMetadata metadata;
  private Lyrics lyrics;
  private File file;
  private boolean temporary;
  
  public Song(File file, boolean temp) {
    this.file = file;
    this.temporary = temp;
    metadata = new SongMetadata(file);
    lyrics = Lyrics.findLyricsFromSongFile(file);
    button = new SongButton(this);
  }
  
  public Song(File file) {
    this(file, false);
  }
  
  public SongMetadata getMetadata() { return metadata; }
  public Lyrics getLyrics() { return lyrics; }
  public File getFile() { return file; }
  public SongButton getButton() { return button; }
  public boolean isTemporary() { return temporary; }
}
