/*
 * The MIT License
 *
 * Copyright 2011 Wyverald.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package melodia.server;

import java.io.File;
import java.io.IOException;
import java.net.*;

/**
 *
 * @author Wyverald
 */
public class MelodiaServer extends Thread {
  private ServerSocket listenerSocket;
  private ServerFrame frame;
  private File folder;

  public MelodiaServer(int port, File folder, ServerFrame frm) 
      throws IOException, IllegalArgumentException {
    listenerSocket = new ServerSocket(port);
    listenerSocket.setSoTimeout(500);
    frame = frm;
    this.folder = folder;
  }

  @Override
  public void run() {
    while (!isInterrupted()) {
      try {
        new ServerTalker(listenerSocket.accept(), folder, frame).start();
      } catch (SocketTimeoutException ex) {
      } catch (IOException ex) {
        frame.log("Could not accept socket: " + ex.getMessage());
      }
    }
    frame.serverStopped();
  }

}
