/*
 * The MIT License
 *
 * Copyright 2011 Wyverald.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package melodia.util;

import java.io.*;

/**
 *
 * @author Wyverald
 */
public class FileRedirector {
  public static void fileToDataOutputStream(File src, DataOutputStream os) throws IOException {
    if (!src.canRead()) {
      os.writeLong(0);
      return;
    }
    long size = src.length();
    os.writeLong(size);
    FileInputStream fis = new FileInputStream(src);
    byte[] buf = new byte[8192];
    while (size != 0) {
      int bytesRead = fis.read(buf);
      size -= bytesRead;
      os.write(buf, 0, bytesRead);
    }
    fis.close();
  }
  
  public static void dataInputStreamToFile(File dst, DataInputStream is) throws IOException {
    long size = is.readLong();
    FileOutputStream fos = new FileOutputStream(dst);
    byte[] buf = new byte[8192];
    while (size != 0) {
      int bytesRead = is.read(buf, 0, (int) Math.min(8192, size));
      size -= bytesRead;
      fos.write(buf, 0, bytesRead);
    }
    fos.close();
  }
}
