/*
 * The MIT License
 *
 * Copyright 2011 Wyverald.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package melodia.util;

import java.awt.Image;
import java.awt.image.BufferedImage;
import java.io.IOException;
import java.util.concurrent.ExecutionException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.imageio.ImageIO;
import javax.swing.SwingWorker;

/**
 *
 * @author Wyverald
 */
public class ResourcePreloader {
  protected static Image defaultCoverArt = new BufferedImage(10, 10,
      BufferedImage.TYPE_INT_ARGB);
  
  static {
    /*new SwingWorker<Image, Void>() {

      @Override
      protected Image doInBackground() {
        Image image = null;
        try {
          image = ImageIO.read(ResourcePreloader.class
              .getResource("unknown-album.png"));
        } catch (IOException ex) {
          System.err.println("Error loading resources");
        } finally {
          return image;
        }
      }
      
      @Override
      protected void done() {
        try {
          ResourcePreloader.defaultCoverArt = get();
        } catch (InterruptedException ex) {
          System.err.println("WTF Interrupted?!");
        } catch (ExecutionException ex) {
          System.err.println("Error retrieving resources");
        }
      }
    }.execute();*/
    try {
      defaultCoverArt = ImageIO.read(ResourcePreloader.class
          .getResource("/melodia/player/gui/resources/unknown-album.png"));
    } catch (IOException ex) {
      System.err.println("Error loading resources");
    }
  }
  
  public static Image getDefaultCoverArt() {
    return defaultCoverArt;
  }
}
